/* $Id: sha256_main.c 30 2006-04-16 03:56:02Z selinger $ */ 
/* user interface for sha256 */

#include <stdio.h>
#include <string.h>
#include <errno.h>
#include <stdlib.h>

#ifdef HAVE_CONFIG_H
# include <config.h>
#endif

#include "traverse.h"
#include "hash.h"
#include "sha256.h"

static char *shortdesc = 
  "Computes the SHA-256 hash of a stream or of one or more files.\n";

int main(int ac, char *av[]) {
  hash_object_t *h;

  /* set up hash object */
  h = sha256_new();
  if (!h) {
    fprintf(stderr, ""NAMESHA256": %s\n", strerror(errno));
    exit(1);
  }

  return traverse(ac, av, h, NAMESHA256, shortdesc);
}
